<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="com.emirkuljanin.rollapoc.ui.castingtask.CastingTaskViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <LinearLayout
            android:id="@+id/header_holder"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@drawable/bottom_border_background"
            android:orientation="horizontal"
            android:weightSum="2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_percent="0.25"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="start"
                android:padding="15dp"
                android:text="@string/list_chromecast_devices_header"
                android:textColor="@android:color/black"
                android:textSize="20sp" />

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:background="@color/background_grey" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="end"
                android:padding="15dp"
                android:text="@string/list_video_files_header"
                android:textColor="@android:color/black"
                android:textSize="20sp" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/list_holder"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:background="@drawable/bottom_border_background"
            android:orientation="horizontal"
            android:weightSum="2"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_percent="0.65"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/header_holder">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/chromecast_recycler"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:padding="10dp"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:background="@color/background_grey" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/video_recycler"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:padding="10dp"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />
        </LinearLayout>

        <Button
            android:id="@+id/play_button"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="10dp"
            android:layout_marginBottom="10dp"
            android:background="@drawable/background_button"
            android:text="@string/play"
            android:textAllCaps="false"
            android:textColor="@android:color/white"
            android:textSize="24sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHeight_percent="0.075"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/list_holder"
            app:layout_constraintWidth_percent="0.75" />
    </androidx.constraintlayout.widget.ConstraintLayout>

</layout>